%global momorel 2

%define real_name AnyEvent
%define real_ver 5.271

Summary:	Framework for multiple event loops
Name:		perl-AnyEvent
Version: 	%{real_ver}
Release:	%{momorel}m%{?dist}
License:	Artistic or GPL
Group:		Development/Libraries
URL:		http://search.cpan.org/~mlehmann/AnyEvent/
Source0:	http://www.cpan.org/authors/id/M/ML/MLEHMANN/AnyEvent-%{real_ver}.tar.gz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl-Event
BuildRequires:	perl-Event-Lib
BuildRequires:	perl-Coro
BuildRequires:	perl-Glib
BuildRequires:	perl-Tk
Requires:	perl-Async-Interrupt
Requires:	perl-EV
Requires:	perl-Event-Lib
Requires:	perl-Coro >= 4.2
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
AnyEvent provides a framework for multiple event loops.

%prep
%setup -q -n %{real_name}-%{real_ver}

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(EV)/d' | \
  sed -e '/^perl(Qt/d' | \
  sed -e '/^perl(IO::Async::Handle/d' | \
  sed -e '/^perl(AnyEvent::Impl::Qt/d' | \
  sed -e '/^perl(Irssi/d'

EOF
%define __perl_requires %{_builddir}/AnyEvent-%{real_ver}/%{name}-req
chmod +x %{name}-req

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor destdir="%{buildroot}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod \
           %{buildroot}%{perl_vendorarch}/auto/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes COPYING README
%{perl_vendorlib}/AnyEvent
%{perl_vendorlib}/AE.pm
%{perl_vendorlib}/AnyEvent.pm
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (5.271-2m)
- full rebuild for mo7 release

* Wed Jun  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (5.271-1m)
- update to 5.271

* Mon Jun  7 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (5.270-1m)
- update to 5.27

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (5.261-2m)
- rebuild against perl-5.12.1

* Thu Apr 29 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (5.261-1m)
- update to 5.261

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (5.260-2m)
- rebuild against perl-5.12.0

* Mon Apr 12 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (5.260-1m)
- update to 5.26

* Sat Mar 13 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (5.251-1m)
- update to 5.251

* Tue Jan  5 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (5.240-1m)
- update to 5.24

* Sat Dec 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.230-1m)
- update to 5.23

* Fri Dec 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.220-1m)
- update to 5.22

* Sat Nov 21 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.210-1m)
- update to 5.21

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.202-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Oct 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.202-1m)
- update to 5.202

* Sun Oct 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.201-1m)
- update to 5.201

* Fri Sep 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.200-1m)
- update to 5.200

* Sat Sep  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.120-1m)
- update to 5.12

* Wed Aug 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.112-1m)
- update to 5.112

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.110-2m)
- rebuild against perl-5.10.1

* Sun Aug 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (5.110-1m)
- update to 5.11

* Tue Aug  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.900-1m)
- update to 4.9

* Sat Aug  1 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.881-1m)
- update to 4.881

* Mon Jul 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.870-1m)
- update to 4.87

* Wed Jul  1 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.450-1m)
- update to 4.45

* Sun Jun 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.420-2m)
- fix perl-AnyEvent-req

* Sat Jun 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.420-1m)
- update to 4.42

* Thu Jun 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.412-1m)
- update to 4.412

* Fri Jun 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.411-1m)
- update to 4.411

* Sun May 17 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.41-1m)
- update to 4.41

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.12-3m)
- rebuild against rpm-4.6

* Sat May 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.12-2m)
- no NoSource

* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.12-1m)
- update to 3.12

* Sat Apr 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.11-1m)
- update to 3.11

* Fri Apr 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1-1m)
- update to 3.1

* Mon Apr 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0-1m)
- update to 3.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.9-2m)
- rebuild against gcc43

* Tue Jan 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.9-1m)
- update to 2.9

* Mon Nov 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.8-1m)
- update to 2.8

* Sat Nov 24 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.7-1m)
- update to 2.7

* Sat Nov 10 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.6-1m)
- update to 2.6

* Wed Nov  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.55-1m)
- update to 2.55

* Thu Jul 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.54-1m)
- update to 2.54

* Sun Jul  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.53-1m)
- update to 2.53

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.52-3m)
- use vendor

* Fri Mar 23 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.52-2m)
- modify requires and buildrequires

* Thu Mar 22 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.52-1m)
- import to Momonga from freshrpms.net

* Wed Apr 19 2006 Matthias Saou <http://freshrpms.net/> 1.02-1
- Initial RPM release.

